##### 7.7.21.0. maxIntRoot

Procedure from library `dmodloc.lib` (see dmodloc_lib).

Usage:
  maxIntRoot(L); L list

Assume:
  L is the output of bFactor.

Return:
  int, the maximal integer root in a list of roots

Example:

    LIB "dmodloc.lib";
    ring r = 0,x,dp;
    poly f = x*(x+1)*(x-2)*(x-5/2)*(x+5/2);
    list L = bFactor(f);
    maxIntRoot(L);
    ==> 2

See also: bFactor; minIntRoot2.

User manual for Singular version 4-0-3, 2016, generated by texi2html.